package br.mp.mprj.portal.portlet.gestaomensagens.action;

import javax.portlet.PortletException;
import javax.portlet.PortletRequest;
import javax.portlet.PortletResponse;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario;
import br.mp.mprj.portal.portlet.gestaomensagens.service.service.GrupoDestinatarioLocalServiceUtil;
import br.mp.mprj.portal.portlet.gestaomensagens.util.GestaoMensagensUtil;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.servlet.SessionErrors;
import com.liferay.portal.kernel.servlet.SessionMessages;
import com.liferay.portal.kernel.util.ParamUtil;
import com.liferay.util.bridges.mvc.ActionCommand;

/**
 * Classe Controller do fluxo de inclusao de um grupo de destinatario.
 * @author caiello
 *
 */
public class GrupoDestinatarioExcluirActionCommand implements ActionCommand{
	
	private static final Log _log = LogFactoryUtil.getLog(GrupoDestinatarioExcluirActionCommand.class);
	
	@Override
	public boolean processCommand(PortletRequest portletRequest,
			PortletResponse portletResponse) throws PortletException {
		
			long grupoDestinatarioId = ParamUtil.getLong(portletRequest, "grupoDestinatarioId");
				
			try {

				//GrupoDestinatarioLocalServiceUtil.removerGrupoDestinatario(grupoDestinatarioId);
				
				GrupoDestinatario grupoDestinatario = GrupoDestinatarioLocalServiceUtil.getGrupoDestinatario(grupoDestinatarioId);
				grupoDestinatario.setAtivo(false);
				GrupoDestinatarioLocalServiceUtil.updateGrupoDestinatario(grupoDestinatario);
				
				SessionMessages.add(portletRequest, "destinatario.sucesso-excluir");
				return true;			
			} catch (Exception ex) {
				_log.error("Problemas ao gravar:", ex);
				SessionErrors.add(portletRequest, "erro-gravar");				
				GestaoMensagensUtil.descartarRascunhos(portletRequest);
				return false;
			}
	}

}
